/*
---01 Typography System
     
Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weight :
Small : 300
Default : 400
Meduim : 500
Bold : 700

- Line height : 
Default : 1
Small : 1.05
Medium : 1.2
Default Paragraph : 1.6
Large: 1.8

-letter spaceing :
-0.5px
0.75px

 
---02 COLORS
-Main : #FF3E66
Tints : #ff5175 #ff8ba3
shades:


-Accents:

#2facfc
#ea4d89
#3679ff
#f67842
#6b88f7
#3bb094


-Greys :
#0E1133
#565870
#EEF1F6
#3e415c
#262947
#5e667b
#8d8d90
#646469
#c9c9ca
#f0f1f7


---05 SHADOWS
Default : box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
Medim: box-shadow:  0px 2.4rem 4.8rem rgba(0 0 0 / 12%);

---06 BORDER RADIUS
Default : 30rem
Medium : 50%

---07 WHITESPACE

-Spacing system (px)  
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

/* General */

html {
  font-size: 62.5%;
  overflow-x: hidden;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
*:focus {
  outline: none;
  /* outline: 4px dotted #ff8ba3;
  outline-offset: 8px; */
  box-shadow: 0 0 0 0.8rem #ff8ba3;
}
body {
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  color: #0e1133;
  line-height: 1;
  overflow-x: hidden;
  position: relative;
}

.container {
  /* 1140px */
  max-width: 130rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}
.half-contaier {
  max-width: 55rem;
}

.heading-primary {
  font-size: 7.4rem;
  font-weight: 400;
  line-height: 1.05;
}

.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}
.heading-secondary-light {
  color: #fff;
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}
.heading-tertairy {
  font-size: 2.4rem;
  line-height: 1.2;
  margin-bottom: 1.6rem;
}
.heading-tertairy-light {
  color: #fff;
  font-size: 2.4rem;
  line-height: 1.2;
  margin-bottom: 1.6rem;
}

.subheading {
  display: block;
  color: #5e667b;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 4.8rem;
  letter-spacing: 0.75px;
  line-height: 1.3;
}
.subheading-light {
  display: block;
  color: #ddd;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 4.8rem;
  letter-spacing: 0.75px;
  line-height: 1.3;
}
.label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #ff3e66;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}
.formal-text {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.6;
  color: #8d8d90;
  margin-bottom: 1.2rem;
}

.arr-icon {
  width: 2.4rem;
  height: 2.4rem;
  cursor: pointer;
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  transition: all 0.3s;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -ms-transition: all 0.3s;
  -o-transition: all 0.3s;
}

.arr-icon:hover {
  transform: translate(-30%, -50%);
  -webkit-transform: translate(-30%, -50%);
  -moz-transform: translate(-30%, -50%);
  -ms-transform: translate(-30%, -50%);
  -o-transform: translate(-30%, -50%);
}

.grid {
  display: grid;
  column-gap: 3.2rem;
  row-gap: 3.2rem;
}
.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}
.grid--2-cols-how {
  grid-template-columns: 3fr 1fr;
  row-gap: 0 !important;
}

.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4-cols {
  /* grid-template-columns: repeat(4, 1fr); */
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
}
.grid--6-cols {
  grid-template-columns: repeat(6, 1fr);
}

.flex {
  display: flex;
  align-items: center;
}
.pure-flex {
  display: flex;
}

.hi-gap {
  gap: 4.8rem;
}
.mid-gap {
  gap: 2.4rem;
}

.lo-gap {
  gap: 0.8rem;
}

.flex-col {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.btn:link,
.btn:visited {
  display: inline-block;
  font-size: 2rem;
  font-weight: 500;
  text-decoration: none;
  color: white;
  background-color: #ff3e66;
  padding: 1.6rem 3.2rem;
  border-radius: 30rem;
  -webkit-border-radius: 30rem;
  -moz-border-radius: 30rem;
  -ms-border-radius: 30rem;
  -o-border-radius: 30rem;
  transition: all 0.3s;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -ms-transition: all 0.3s;
  -o-transition: all 0.3s;
  cursor: pointer;
}
.btn:hover,
.btn:active {
  background-color: #ff5175;
}
.btn-flat:link,
.btn-flat:visited {
  display: inline-block;
  color: inherit;
  font-size: 2rem;
  font-weight: 500;
  text-decoration: none;
  padding: 1.6rem 3.2rem;
  border: 2px solid #eee;
  border-radius: 30rem;
  -webkit-border-radius: 30rem;
  -moz-border-radius: 30rem;
  -ms-border-radius: 30rem;
  -o-border-radius: 30rem;
  transition: all 0.3s;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -ms-transition: all 0.3s;
  -o-transition: all 0.3s;
  cursor: pointer;
}
.btn-flat:hover,
.btn-flat:active {
  background-color: #ff5175;
  color: #fff;
}

strong {
  font-weight: 500;
  font-size: 4.4rem;
}
.semi-strong {
  font-size: 3.6rem;
}
.padding-left {
  padding-left: 4.8rem;
}
